%global pypi_name gql

Name:           python-%{pypi_name}
Version:        3.5.0
Release:        1%{?dist}
Summary:        GraphQL Client for Python 3.6+

License:        MIT
URL:            https://github.com/graphql-python/gql
Source:         https://github.com/graphql-python/gql/archive/v%{version}/v%{version}.tar.gz
BuildArch:      noarch

%description
GraphQL Client for Python 3.6+ which plays nicely with other graphql
implementations compatible with the spec. Under the hood, it uses 
GraphQL-core which is a Python port of GraphQL.js, the JavaScript
reference implementation for GraphQL.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

Suggests:       python3-aiohttp
Suggests:       python3-botocore
Suggests:       python3-requests
Suggests:       python3-websockets

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools

# For tests
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-console-scripts
BuildRequires:  python3-pytest-vcr
BuildRequires:  python3-aiofiles
BuildRequires:  python3-aiohttp
BuildRequires:  python3-anyio
BuildRequires:  python3-backoff
BuildRequires:  python3-botocore
BuildRequires:  python3-graphql-core
BuildRequires:  python3-httpx
BuildRequires:  python3-mock
BuildRequires:  python3-parse
BuildRequires:  python3-requests-toolbelt
BuildRequires:  python3-websockets
BuildRequires:  python3-yarl

%description -n python3-%{pypi_name}
This is a GraphQL client for Python 3.6+. Plays nicely with graphene
graphql-core, graphql-js and any other GraphQL implementation compatible
with the spec. GQL architecture is inspired by React-Relay and Apollo-Client.

%prep
%autosetup -n gql-%{version} -N
rm -r gql-checker

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gql

%check
%pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/gql-cli

%changelog
* Mon Dec 25 2023 Andrej Manduch - 3.5.0-1
- Initial release
